unbound-checkconf(8)

NAME
unbound-checkconf - Check Unbound configuration file for errors.

SYNOPSIS
unbound-checkconf [-h] [-f] [-o option] [cfgfile]

DESCRIPTION
Unbound-checkconf checks the configuration file for the unbound(8) DNS resolver for syntax and other errors. The config file syntax is described in unbound.conf(5).

The available options are:

-h  Show the version and commandline option help.

-f  Print full pathname, with chroot applied to it. Use with the -o option.

-o option
    If given, after checking the config file the value of this option is printed to stdout. For "" (disabled) options an empty line is printed.

cfgfile
    The config file to read with settings for Unbound. It is checked. If omitted, the config file at the default location is checked.

EXIT CODE
The unbound-checkconf program exits with status code 1 on error, 0 for a correct config file.

FILES

@@HOMEBREW_PREFIX@@/etc/unbound/unbound.conf
    Unbound configuration file.

SEE ALSO
unbound.conf(5), unbound(8).